should i update to 2.2.1 in order to jailbreakk???

Discussion in 'iPod touch 2G Jailbreak: redsn0w, 24kpwn, etc.' started by cohen9876, Feb 6, 2009.

  1. cohen9876

    cohen9876 Banned

    Joined:
    Dec 16, 2007
    Messages:
    190
    Likes Received:
    0
    Device:
    2G iPod touch
    helpp
  2. Redishdevil9624

    Redishdevil9624 New Member

    Joined:
    Feb 4, 2009
    Messages:
    13
    Likes Received:
    0
    Device:
    iPod touch
    Hey,
    yes you should it is definitley worth it, and if u are use quickpwn it worked brilliant for me

    redishdevil9624
  3. auldwin

    auldwin New Member

    Joined:
    Feb 1, 2009
    Messages:
    108
    Likes Received:
    0
    Device:
    2G iPod touch
    YES DO IT!!!!!!!!!!! XD yea its recommended
  4. Nathan B

    Nathan B Active Member

    Joined:
    Dec 12, 2008
    Messages:
    3,061
    Likes Received:
    0
    Device:
    iPhone 5 (Black)
    don't listen to him, upgrade to 2.2.1, and jailbreak with the many tutorials found in the Redsnow sub forum
    and redishdevil9624, quickpwn doesn't work for the iPod touch 2g
  5. chivasgarcia

    chivasgarcia New Member

    Joined:
    Sep 17, 2008
    Messages:
    274
    Likes Received:
    0
    Device:
    iPhone
    the jailbreak does not require you to upgrade to 2.2.1 prior to the process. Whatever firmware you have will be fine.. And if you're looking for a nice and easy jailbreak use Chris Stroud's redTool. It's like quickpwn, but for the ipt2g!

Share This Page